%define majver %(echo %version | cut -d. -f1-2)
Name:          gnome-online-accounts
Version:       3.16.3
Release:       1mamba
Summary:       GNOME service to manage online accounts
Group:         System/Servers
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://live.gnome.org
Source:        ftp://ftp.gnome.org/pub/gnome/sources/gnome-online-accounts/%{majver}/gnome-online-accounts-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: gtk-doc
BuildRequires: libatk-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libdbus-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libenchant-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libgeoclue-devel
BuildRequires: libGL-devel
BuildRequires: libglib-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: libgtk-devel
BuildRequires: libICE-devel
BuildRequires: libicu-devel
BuildRequires: libjpeg-devel
BuildRequires: libjson-glib-devel
BuildRequires: libnotify-devel
BuildRequires: libpango-devel
BuildRequires: libpixman-devel
BuildRequires: libpng-devel
BuildRequires: libpthread-stubs-devel
BuildRequires: librest-devel
BuildRequires: libselinux-devel
BuildRequires: libSM-devel
BuildRequires: libsoup-devel
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
BuildRequires: libuuid-devel
BuildRequires: libwebkit-gtk3-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libxslt-devel
BuildRequires: libXt-devel
BuildRequires: libz-devel
BuildRequires: udev-devel
## AUTOBUILDREQ-END
BuildRequires: libsecret-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
GNOME Online Accounts is a framework used for GNOME applications to access the user's online accounts.

%package devel
Group:         Development/Libraries
Summary:       Development package for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
GNOME Online Accounts is a framework used for GNOME applications to access the user's online accounts.
This package provides the development files.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%prep
%setup -q

%build
%configure --enable-gtk-doc
%make \
   LDFLAGS="-laccounts-glib -lsignon-glib"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}-tpaw
%find_lang %{name}

cat %{name}-tpaw.lang >> %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libgoa-1.0.so.*
%{_libdir}/libgoa-backend-1.0.so.*
%{_libdir}/girepository-1.0/Goa-1.0.typelib
%dir %{_libdir}/goa-1.0
%dir %{_libdir}/goa-1.0/web-extensions
%{_libdir}/goa-1.0/web-extensions/libgoawebextension.*
%{_datadir}/glib-2.0/schemas/org.gnome.online-accounts.gschema.xml
#%{_datadir}/gnome-online-accounts/goawebview.css
%{_datadir}/gnome-online-accounts/irc-networks.xml
%{_datadir}/icons/hicolor/*/apps/goa-account*.png
%{_datadir}/icons/hicolor/*/apps/im-*.png
%{_datadir}/icons/hicolor/scalable/apps/im-*.svg
%{_datadir}/dbus-1/services/org.gnome.OnlineAccounts.service
%{_libexecdir}/goa-daemon
%{_mandir}/man8/goa-daemon.8*
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/goa-1.0
%{_includedir}/goa-1.0/*
%{_libdir}/libgoa-1.0.a
%{_libdir}/libgoa-1.0.la
%{_libdir}/libgoa-1.0.so
%{_libdir}/libgoa-backend-1.0.a
%{_libdir}/libgoa-backend-1.0.la
%{_libdir}/libgoa-backend-1.0.so
%dir %{_libdir}/goa-1.0
%dir %{_libdir}/goa-1.0/include
%{_libdir}/goa-1.0/include/goaconfig.h
%{_datadir}/gir-1.0/Goa-1.0.gir
%{_libdir}/pkgconfig/goa-1.0.pc
%{_libdir}/pkgconfig/goa-backend-1.0.pc
%doc NEWS

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/goa
%{_datadir}/gtk-doc/html/goa/*

%changelog
* Wed Jun 10 2015 Automatic Build System <autodist@mambasoft.it> 3.16.3-1mamba
- automatic update by autodist

* Wed May 13 2015 Automatic Build System <autodist@mambasoft.it> 3.16.2-1mamba
- automatic version update by autodist

* Tue Apr 14 2015 Automatic Build System <autodist@mambasoft.it> 3.16.0-1mamba
- automatic version update by autodist

* Sat Mar 28 2015 Automatic Build System <autodist@mambasoft.it> 3.14.3-1mamba
- automatic version update by autodist

* Fri Mar 27 2015 Automatic Build System <autodist@mambasoft.it> 3.14.0-1mamba
- automatic version update by autodist

* Tue Apr 15 2014 Automatic Build System <autodist@mambasoft.it> 3.12.1-1mamba
- automatic version update by autodist

* Sat Apr 05 2014 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Tue Mar 18 2014 Automatic Build System <autodist@mambasoft.it> 3.10.3-1mamba
- automatic version update by autodist

* Wed Nov 13 2013 Automatic Build System <autodist@mambasoft.it> 3.10.2-1mamba
- automatic version update by autodist

* Wed Oct 30 2013 Automatic Build System <autodist@mambasoft.it> 3.10.1-1mamba
- automatic version update by autodist

* Tue Jul 16 2013 Automatic Build System <autodist@mambasoft.it> 3.9.4-1mamba
- automatic update by autodist

* Wed May 29 2013 Automatic Build System <autodist@mambasoft.it> 3.9.2-1mamba
- automatic update by autodist

* Wed May 01 2013 Automatic Build System <autodist@mambasoft.it> 3.9.1-1mamba
- automatic version update by autodist

* Mon Apr 15 2013 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Fri Mar 29 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Wed Mar 06 2013 Automatic Build System <autodist@mambasoft.it> 3.6.3-1mamba
- automatic version update by autodist

* Fri Dec 07 2012 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic version update by autodist

* Tue Oct 16 2012 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Sun Oct 07 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Fri Jun 08 2012 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Sun Apr 01 2012 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- update to 3.4.0

* Mon Oct 17 2011 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Mon Oct 03 2011 Automatic Build System <autodist@mambasoft.it> 3.2.0.1-1mamba
- automatic version update by autodist

* Mon Oct 03 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.0-1mamba
- package created by autospec
